<link href="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<!------ Include the above in your HEAD tag ---------->
<script src="https://cdn.jsdelivr.net/jquery.validation/1.15.1/jquery.validate.min.js"></script>
<link href="https://fonts.googleapis.com/css?family=Kaushan+Script" rel="stylesheet">
<link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
<body>
   <div class="container">
      <div class="row">
         <div class="col-md-5 mx-auto">
            <div id="first">
               <div class="myform form ">
                  <div class="logo mb-3">
                     <div class="col-md-12 text-center">
                        <h1>Sign Up</h1>
                     </div>
                  </div>
                  <% categories = ["South Indian","Soup","Snacks","Chinese","Sandwich","Burgers","Beer","Beverages","Shakes","Main Course","Indian Bread","Deserts"] %>
                  <% business = resource.build_business %>
                  <% categories.each_with_index do |cat, index| %>
                    <% business.categories.new(name: cat) %>
                  <% end %>
                  <% i = 0 %>
                  <% if resource.errors.full_messages.any? %>
                    <p class="err-heading"> Please resolve below errors
                    <div class="form-group">
                      <div class="col-md-12 validation">
                        <% resource.errors.messages.each do |error_message| %>
                          <%= error_message.first.to_s.split('_').join(' ').titleize.gsub('.', ' ').gsub('Business', 'Restaurant') %> : <%= error_message[1].last.capitalize.gsub('Business', 'Restaurant') %> <br />
                        <% end %>    
                      </div>
                    </div>
                  <% end %>

                  <%= form_for(resource, as: resource_name, multipart: true, url: registration_path(resource_name)) do |f| %>
                     <div class="form-group">
                        <!-- <label for="exampleInputEmail1">Email address</label> -->
                        <%= f.email_field :email, autofocus: true, autocomplete: "email", placeholder: 'Email', required: true %>  
                     </div>
                     <div class="form-group">
                        <!-- <label for="exampleInputEmail1">Password</label> -->
                        <%= f.password_field :password, autocomplete: "current-password", placeholder: 'Password', required: true %>
                     </div>
                     <div class="form-group">
                        <!-- <label for="exampleInputEmail1">Password</label> -->
                        <%= f.password_field :password_confirmation, autocomplete: "current-password", placeholder: 'Confirm Password', required: true %>
                     </div>
                     <%= f.fields_for :business do |business| %>
                       <div class="form-group">
                          <!-- <label for="exampleInputEmail1">Password</label> -->
                          <%= business.text_field :name, value: business.object.name, placeholder: 'Restaurant Name', required: true %>
                       </div>
                       <div class="form-group">
                          <!-- <label for="exampleInputEmail1">Password</label> -->
                          <%= business.text_field :phone_number, placeholder: 'Phone Number(10 Digits)', required: true %>
                       </div>
                       <div class="form-group">
                          <!-- <label for="exampleInputEmail1">Password</label> -->
                          <%= business.text_area :address, placeholder: 'Address', required: true, :class => 'text_area', :rows => '2' %>
                       </div>
                       <div class="form-group">
                          <label for="exampleInputEmail1">Restaurant Image</label>
                          <%= business.file_field :logo, placeholder: 'Restaurant Image' %>
                       </div>
                        <label>Select Categories:</label>
                        <%= business.fields_for :categories do |category| %>
                          <%# categories.each_slice(3) do | batch | %>
                            <% if i==0 || i%3 == 0 %>
                              <div class="row">
                            <% end %>  
                                <%# batch.each do | element | %>
                                  <div class="col-md-4">
                                    <label>
                                      <%#= check_box_tag "user[categories][]", element, false %>
                                      <%= category.check_box :name, {checked: false}, category.object.name, false %>
                                      <%= category.object.name %>
                                    </label>
                                  </div>
                                <%# end %>
                            <% if i==2 || i==5 || i==8 || i==11 || i==12 %>
                              </div>
                            <% end %>
                            <% i += 1 %>
                          <%# end %>
                       <% end %>
                     <% end %>
                     <div class="col-md-12 text-center margin-top-15px">
                        <button type="submit" class=" btn btn-block mybtn btn-primary tx-tfm">Sign Up</button>
                     </div>
                     <div class="col-md-12 ">
                        <div class="login-or">
                           <hr class="hr-or">
                           <span class="span-or">or</span>
                        </div>
                     </div>
                     <div class="form-group">
                        <p class="text-center">Already have an account? <a href="<%= new_user_session_path %>" id="signup">Sign in here</a></p>
                     </div>
                  <% end %>
               </div>
            </div>
            <div id="second">
               <div class="myform form ">
                  <div class="logo mb-3">
                     <div class="col-md-12 text-center">
                        <h1 >Signup</h1>
                     </div>
                  </div>
                  <form action="#" name="registration">
                     <div class="form-group">
                        <label for="exampleInputEmail1">First Name</label>
                        <input type="text"  name="firstname" class="form-control" id="firstname" aria-describedby="emailHelp" placeholder="Enter Firstname">
                     </div>
                     <div class="form-group">
                        <label for="exampleInputEmail1">Last Name</label>
                        <input type="text"  name="lastname" class="form-control" id="lastname" aria-describedby="emailHelp" placeholder="Enter Lastname">
                     </div>
                     <div class="form-group">
                        <label for="exampleInputEmail1">Email address</label>
                        <input type="email" name="email"  class="form-control" id="email" aria-describedby="emailHelp" placeholder="Enter email">
                     </div>
                     <div class="form-group">
                        <label for="exampleInputEmail1">Password</label>
                        <input type="password" name="password" id="password"  class="form-control" aria-describedby="emailHelp" placeholder="Enter Password">
                     </div>
                     <div class="col-md-12 text-center mb-3">
                        <button type="submit" class=" btn btn-block mybtn btn-primary tx-tfm">Get Started For Free</button>
                     </div>
                     <div class="col-md-12 ">
                        <div class="form-group">
                           <p class="text-center"><a href="#" id="signin">Already have an account?</a></p>
                        </div>
                     </div>
               </div>
               </form>
            </div>
         </div>
      </div>
   </div>
</body>






<style type="text/css">


.err-heading{color: #D63301}

.margin-top-15px{margin-top: 15px;}

input[type="email"], input[type="password"], input[type="text"], .text_area {
    width: 100%;
    display: block;
    margin: 20px 0;
    padding: 8px;
    border: 1px solid #b5b5b5;
    outline: none;
}

.btn-primary {
    color: #fff;
    background-color: #9AB45B!important;
    border-color: #9AB45B!important;
}
          body{
        padding-top:4.2rem;
    padding-bottom:4.2rem;
    background-color: #9AB45B;
        }
        a{
         text-decoration:none !important;
         }
         h1,h2,h3{
         font-family: 'Kaushan Script', cursive;
         }
          .myform{
    position: relative;
    display: -ms-flexbox;
    display: flex;
    padding: 1rem;
    -ms-flex-direction: column;
    flex-direction: column;
    width: 100%;
    pointer-events: auto;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid rgba(0,0,0,.2);
    border-radius: 1.1rem;
    outline: 0;
    max-width: 500px;
     }
         .tx-tfm{
         text-transform:uppercase;
         }
         .mybtn{
         border-radius:50px;
         }
        
         .login-or {
         position: relative;
         color: #aaa;
         margin-top: 10px;
         margin-bottom: 10px;
         padding-top: 10px;
         padding-bottom: 10px;
         }
         .span-or {
         display: block;
         position: absolute;
         left: 50%;
         top: -2px;
         margin-left: -25px;
         background-color: #fff;
         width: 50px;
         text-align: center;
         }
         .hr-or {
         height: 1px;
         margin-top: 0px !important;
         margin-bottom: 0px !important;
         }
         .google {
         color:#666;
         width:100%;
         height:40px;
         text-align:center;
         outline:none;
         border: 1px solid lightgrey;
         }
          form .error {
         color: #ff0000;
         }
         #second{display:none;}
</style>